# data

Returns the result of atomizing the supplied sequence

data() → xs:anyAtomicType*

Returns the result of atomizing the context item. New in XPath 3.0

There are no arguments
Result | xs:anyAtomicType*

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

data($arg as item()*) → xs:anyAtomicType*

Arguments
| $arg | item()* | The value to be atomized
Result | xs:anyAtomicType*

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The zero-argument version of this function is newly implemented in Saxon 9.3, and available only if XPath 3.0 support is enabled.

Next